Skip to main content
PUT
/
jobs
/
{UUID}
/
status
/
cancel
cURL
curl -X PUT "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/status/cancel" \
  -H "Authorization: apiKey your-api-key"
import requests

url = "https://api.ionq.co/v0.3/jobs/{UUID}/status/cancel"

headers = {"Authorization": "<api-key>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};

fetch('https://api.ionq.co/v0.3/jobs/{UUID}/status/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "aa54e783-0a9b-4f73-ad2f-63983b6aa4a8",
  "status": "canceled"
}

Authorizations

Authorization
string
header
required

API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key

Path Parameters

UUID
string<uuid>
required

The UUID of the job — this UUID is provided in the response on job creation.

Response

200 - application/json

Successfully cancelled job

Response body from a successful job cancellation.

id
string<uuid>
required

The UUID of a job. We'll provide the UUID initially in our response to a job creation request.

Example:

"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"

status
enum<string>
required

Status of a job (always canceled).

Available options:
canceled